"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getLoggingRouter = exports.loggingLocal = void 0;
const express_1 = require("express");
const general_js_1 = __importStar(require("./general.js"));
const loggingUtils = __importStar(require("./routerUtils.js"));
const chalk_1 = __importDefault(require("chalk"));
exports.loggingLocal = [];
const enableWSExample = () => {
    const magenta = (text) => chalk_1.default.hex('#ff70ff')(text);
    const cyan = (text) => chalk_1.default.hex('#6bc4ff')(text);
    const brown = (text) => chalk_1.default.hex('#ad6744')(text);
    const lightblue = (text) => chalk_1.default.hex('#2461c9')(text);
    const blue = (text) => chalk_1.default.hex('#0a44a8')(text);
    const yellow = (text) => chalk_1.default.hex('#9da133')(text);
    return `
${magenta('import')} ${cyan('enableWS')} ${magenta('from')} ${brown("'express-ws'")}
${(0, general_js_1.getColoredText)('// some other code', 'green')}
${blue('const')} ${lightblue('app')} = ${yellow('express()')}
${yellow(`enableWS(${lightblue('app')})`)}`;
};
function getLoggingRouter(host, port, routeName) {
    const loggingRouter = (0, express_1.Router)();
    loggingRouter.get(routeName, (req, res) => {
        res.set('Content-Type', 'text/html');
        const html = loggingUtils.generateHTML(exports.loggingLocal, host, port, routeName);
        res.end(html);
    });
    if (!loggingRouter.ws)
        general_js_1.default.warn(`Messages will NOT update in browser automatically, please enable websocket for your express app\n`
            + `Enable ws: ${enableWSExample()}`);
    else
        loggingRouter.ws(routeName, general_js_1.loggingWS);
    return loggingRouter;
}
exports.getLoggingRouter = getLoggingRouter;
