"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebServerLogging = void 0;
const express_1 = __importDefault(require("express"));
const express_ws_1 = __importDefault(require("express-ws"));
const router_js_1 = require("./router.js");
const general_js_1 = __importDefault(require("./general.js"));
class WebServerLogging {
    // host: string = 'localhost'
    // port: number = 3000
    // route: string = '/'
    startServer(host = 'localhost', port = 3000) {
        const app = (0, express_1.default)();
        (0, express_ws_1.default)(app);
        const loggingRouter = (0, router_js_1.getLoggingRouter)(host, port, '/');
        app.use(loggingRouter);
        const url = `http://${host}:${port}`;
        app.listen(port, () => general_js_1.default.success(`You can read logs on: ${url}`));
    }
}
exports.WebServerLogging = WebServerLogging;
